@echo off
REM ***************************************************************************
REM *  Licensed Materials - Property of IBM and/or HCL
REM *  (c) Copyright IBM Corporation 2005, 2021. All Rights Reserved.
REM *  (c) Copyright HCL Technologies Ltd. 2017, 2021. All Rights Reserved.
REM *
REM *  Note to U.S. Government Users Restricted Rights:
REM *  Use, duplication or disclosure restricted by GSA ADP Schedule
REM *  Contract with IBM Corp.
REM *
REM *
REM *  This batch file compiles all maps for the SWIFT MT-MX translation maps.
REM *
REM ***************************************************************************

rem cd to the directory this batch file is running from
rem cd /d %~dp0 - use this if the pushd doesn't work
pushd "%~dp0"

set mapsDir=%CD%
set LOG=build_deploy_mt_mx_translation.log
rem - clear out old log file...
if exist %LOG% del /f /q %LOG%

rem cd to the base directory to get the location of mcompile.exe
cd ..\..\..\..\..\..\..\

rem check to make sure mcompile is where we expect it
if exist "%CD%\mcompile.exe" (
    set DTX_HOME=%CD%
	echo DTXHOME is: %CD% >> %LOG%
) else (
	goto :MCompileNotFound
)

cd "%mapsDir%"
echo === Starting MT-MX translation map build...
echo.
set MCOMPILE="%DTX_HOME%\mcompile.exe"
echo mcompile.exe location is: %MCOMPILE% >> %LOG%
set mcompileOptions= -A -E

%MCOMPILE% mx_funds_preconversion.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt_funds_xtnsn.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt_mx_runmaps.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt101_mx_pain_001.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt103_mx_pacs_008.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt202_COV_mx_pacs_009.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt202_mx_pacs_009.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt502_mx_setr_004.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt502_mx_setr_010.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt509_mx_setr_016.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt515_mx_setr_006.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt515_mx_setr_012.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt564_mx_seev_031.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt565_mx_seev_033.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt566_mx_seev_036.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt900_mx_camt_054.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt910_mx_camt_054.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt940_mx_camt_053.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt941_mx_camt_052.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt942_mx_camt_052.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mt950_mx_camt_053.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_pacs_008_mt_103core.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_pacs_009_mt202.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_pacs_009_mt202_cov.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_pain_001_mt101.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_seev_031_mt564.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_seev_033_mt565.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_seev_036_mt566.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_setr_004_mt502.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_setr_006_mt515.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_setr_010_mt_502.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_setr_012_mt515.mms %mcompileOptions% >> %LOG%
%MCOMPILE% mx_setr_016_mt509.mms %mcompileOptions% >> %LOG%

echo === Finished mt-mx transformation map build.
echo.
goto :Run_EXIT

:MCompileNotFound
echo.
echo base directory not found!
echo This script must run from the SWIFT component default examples subdirectory: mx\examples\mt_mx_translation\maps.
echo Example: "<base product install dir>\packs\financial_payments_v<version>\swift\mx\examples\mt_mx_translation\maps"
echo.
goto :EOF

:Run_EXIT

echo === Map build script completed
echo.

:EOF
